Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IDirectScheduleOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IDirectScheduleOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IDirectScheduleOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("363E3DB8-2CC3-4C7E-8747-EE1B3F9EA8BA")]
   public interface IDirectScheduleOperator : IOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IJSMOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IJSMOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IJSMOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("594718B8-1755-4462-934B-B17A82DE4E5A")]
   public interface IJSMOperator : IOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPRVOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPRVOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPRVOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("70FF4CA0-E641-471C-AC92-1CA617D4D255")]
   public interface IPRVOperator : IOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPWROperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPWROperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IPWROperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("BC6ABCCF-5620-496D-8FDE-E5592E3B31F9")]
   public interface IPWROperator : IOperator {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCreator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCreator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("95E58BFD-3047-4E5D-9545-C32A95E8661C")]
   public interface IScheduleCreator : ISolutionCreator, IScheduleOperator {
     ILookupParameter<IScheduleEncoding> ScheduleEncodingParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCrossover.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleCrossover.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("FAFC1DBB-2DAC-406A-8901-96FA6C9A4D6C")]
   public interface IScheduleCrossover : ICrossover, IScheduleOperator {
     ILookupParameter<IScheduleEncoding> ChildParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleEncoding.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleEncoding.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleEncoding.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("5CBD0FEA-1F53-4EEF-98A4-6E7FD329FAA2")]
   public interface IScheduleEncoding : IItem {
   }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleManipulator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleManipulator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("93F7088D-142B-45BA-8EE6-CC52CB8DB1E7")]
   public interface IScheduleManipulator : IManipulator, IScheduleOperator {
     ILookupParameter<IScheduleEncoding> ScheduleEncodingParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/Interfaces/IScheduleOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Encodings.ScheduleEncoding {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("D2F1BC19-54F5-4A56-A560-C8F63D7C7A23")]
   public interface IScheduleOperator : IOperator {
   }
